### Method

# GLib Source get_ready_time

#### Declaration

    gint64
    g_source_get_ready_time (
      GSource* source
    )

#### Description

Gets the “ready time” of `source`, as set by g_source_set_ready_time().

Any time before or equal to the current monotonic time (including 0) is an indication that the source will fire immediately.

#### Return value

Type: `gint64`

The monotonic ready time, -1 for “never”.